For the complete documentation index, see llms.txt. This page is also available as Markdown.

Task Management

Search Tasks

get

Example overview

Search tasks by many parameters

Default behaviour for requests by user: return list of tasks, where current user is assignee or watcher.

HTTP Request

Method: GET

Endpoint: {url}/{tenantName}/{instanceName}/tasks

in our example it would be: https://api.live.welkincloud.io/gh/sb-demo/tasks

Deprecated parameters

Name
Located in
Description
Required
Type

assigneeId

path

replased to assigneeIds

No

UUID (or comma separated list of UUID)

patientId

path

replased to patientIds

No

UUID

status

path

replased to statuses

No

[TODO, IN_PROGRESS, COMPLETED, CANCELED] - one or more comma separated

priority

path

replased to priorities

No

[LOW, MEDIUM, HIGH, URGENT] - one or more comma separated

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
Query parameters
templatesstring[]Optional

Looks for tasks with template. String (or comma separated list of string)

Example: ["template1","templates2"]
withoutTemplatebooleanOptional

Looks for tasks without template

Example: true
assigneeIdsstring[]Optional

assigneeIds

Example: ["20eb246e-8099-4c7c-854c-5e0f9a366ddb","03a87f5b-3a04-4be8-b0ad-7a34a5b2892d"]
patientIdsstring[]Optional

Looks for tasks related to patient. UUID (or comma separated list of UUID)

statusesstring[]Optional

Looks for tasks with status [TODO, IN_PROGRESS, COMPLETED, CANCELED] - one or more comma separated

Example: ["TODO","COMPLETED","CANCELED","IN_PROGRESS"]
prioritiesstring[]Optional

Looks for tasks with priority [LOW, MEDIUM, HIGH, URGENT] - one or more comma separated

Example: ["LOW","MEDIUM","HIGH","URGENT"]
dueBeforestringOptional

Looks for tasks whose deadline is up to the specified day. Datetime in ISO-8601 format

Example: 2021-12-01T00:00:00.0Z
dueAfterstringOptional

Looks for tasks whose deadline is after the specified day. Datetime in ISO-8601 format

Example: 2021-12-31T00:00:00.0Z
authorIdstring · uuidOptional

Looks for tasks created by user ( UUID)

Example: 03a87f5b-3a04-4be8-b0ad-7a34a5b2892d
dueDatestring · date-timeOptional

Looks for tasks whose deadline is on the specified day. Datetime in ISO-8601 format

Example: 2021-01-01T00:00:00.000Z
searchstringOptional

Search by name or description

Example: New
descriptionstringOptional

Looks for tasks whose descriptions partially matches the specified one

Example: Create
watcherIdstring · uuidOptional

Looks for tasks monitored by the specified user (UUID)

Example: 03a87f5b-3a04-4be8-b0ad-7a34a5b2892d
sizeintegerOptionalDefault: 20Example: 20
pageintegerOptionalDefault: 0Example: 0
sortstringOptional
Responses
200

Paginated search results

application/json
get/{tenantName}/{instanceName}/tasks
GET /{tenantName}/{instanceName}/tasks HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "data": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdBy": "123e4567-e89b-12d3-a456-426614174000",
      "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
      "createdByName": "text",
      "updatedByName": "text",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "updatedAt": "2026-01-01T00:00:00.000Z",
      "name": "text",
      "description": "text",
      "dueDate": "2026-01-01T00:00:00.000Z",
      "status": "TODO",
      "priority": "LOW",
      "patient": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "assignee": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "enabled": true
      },
      "watchers": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "enabled": true
        }
      ],
      "comments": [
        {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "createdAt": "2026-01-01T00:00:00.000Z",
          "author": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "text",
            "enabled": true
          },
          "text": "text",
          "patient": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "text"
          },
          "user": {
            "id": "123e4567-e89b-12d3-a456-426614174000",
            "name": "text"
          }
        }
      ],
      "goalId": "123e4567-e89b-12d3-a456-426614174000",
      "templateName": "text",
      "createdType": "AUTOMATION",
      "sourceId": "123e4567-e89b-12d3-a456-426614174000",
      "sourceType": "ASSESSMENT",
      "hiddenPhi": true,
      "watchersType": "POINT_OF_CONTACT"
    }
  ],
  "metaInfo": {
    "page": 1,
    "pageSize": 1,
    "totalElements": 1,
    "numberOfElements": 1
  }
}

Create new Task

post

Example overview

A new task is created with the name Patient Review with the description New Patient Profile Review and the priority URGENT and comment Lorem ipsum.... The task assigned to user with id 20eb246e-8099-4c7c-854c-5e0f9a366ddb. The task visible for users specified in the fields author, assignee, watchers (in our example, this is the same user). The task must be completed by May 20, 2021.

The method allows you to add a comment to the task being created. This update allows adding comments to tasks through the API on behalf of a patient. If patient information is not included, the comment will default to being attributed to the API client.

HTTP Request

Method: POST

Endpoint: {url}/{tenantName}/{instanceName}/tasks

in our example it would be: https://api.live.welkincloud.io/gh/sb-demo/tasks

Parameters

Name
Located in
Description
Required
Type

tenantName

path

Name of tenant

Yes

string

instanceName

path

Name of instance

Yes

string

name

body

Short name of the task

Yes

string

description

body

Detailed text description of the task

No

string

priority

body

task priority

Yes

LOW, MEDIUM, HIGH, URGENT

status

body

task status

Yes

TODO, IN_PROGRESS, COMPLETED, CANCELED

dueDate

body

deadline for the task

No

Datetime in ISO-8601 format

assignee

body

user responsible for the task

Yes

{"id": ""}

patient

body

task-related patient

No

{"id": ""}

watchers

body

users subscribed to task notifications

No

[{"id": ""}]

comments

body

simple text comments to task

No

[{"text": ""}]

Responses

Code
Description

201

Created

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
Body
idstring · uuidRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
namestringRequired
descriptionstring · nullableOptional
dueDatestring · date-time · nullableOptional
statusstring · enumRequiredPossible values:
prioritystring · enumRequiredPossible values:
goalIdstring · uuid · nullableRead-onlyOptional
templateNamestring · nullableOptional
createdTypestring · enumOptionalPossible values:
sourceIdstring · uuid · nullableOptional
sourceTypestring · enumOptionalPossible values:
hiddenPhibooleanOptional
watchersTypestring · enumOptionalDefault: POINT_OF_CONTACTPossible values:
Responses
201

Task created

application/json
idstring · uuidRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
namestringRequired
descriptionstring · nullableOptional
dueDatestring · date-time · nullableOptional
statusstring · enumRequiredPossible values:
prioritystring · enumRequiredPossible values:
goalIdstring · uuid · nullableRead-onlyOptional
templateNamestring · nullableOptional
createdTypestring · enumOptionalPossible values:
sourceIdstring · uuid · nullableOptional
sourceTypestring · enumOptionalPossible values:
hiddenPhibooleanOptional
watchersTypestring · enumOptionalDefault: POINT_OF_CONTACTPossible values:
post/{tenantName}/{instanceName}/tasks
POST /{tenantName}/{instanceName}/tasks HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 776

{
  "name": "text",
  "description": "text",
  "dueDate": "2026-01-01T00:00:00.000Z",
  "status": "TODO",
  "priority": "LOW",
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  },
  "assignee": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "enabled": true
  },
  "watchers": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "enabled": true
    }
  ],
  "comments": [
    {
      "author": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "enabled": true
      },
      "text": "text",
      "patient": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "user": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      }
    }
  ],
  "templateName": "text",
  "createdType": "AUTOMATION",
  "sourceId": "123e4567-e89b-12d3-a456-426614174000",
  "sourceType": "ASSESSMENT",
  "hiddenPhi": true,
  "watchersType": "POINT_OF_CONTACT"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "text",
  "updatedByName": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "description": "text",
  "dueDate": "2026-01-01T00:00:00.000Z",
  "status": "TODO",
  "priority": "LOW",
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  },
  "assignee": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "enabled": true
  },
  "watchers": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "enabled": true
    }
  ],
  "comments": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "author": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "enabled": true
      },
      "text": "text",
      "patient": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "user": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      }
    }
  ],
  "goalId": "123e4567-e89b-12d3-a456-426614174000",
  "templateName": "text",
  "createdType": "AUTOMATION",
  "sourceId": "123e4567-e89b-12d3-a456-426614174000",
  "sourceType": "ASSESSMENT",
  "hiddenPhi": true,
  "watchersType": "POINT_OF_CONTACT"
}

Bulk update of Tasks status

patch

Example overview

Update tasks status for list of tasks (only one task in example). Method returns a list of updated tasks.

HTTP Request

Method: PATCH

Endpoint: {url}/{tenantName}/{instanceName}/tasks

in our example it would be: https://api.live.welkincloud.io/gh/sb-demo/tasks/28b38060-db66-4183-bcaa-34751308573a

Parameters

Name
Located in
Description
Required
Type

tenantName

path

Name of tenant

Yes

string

instanceName

path

Name of instance

Yes

string

taskIds

body

Task identifiers

Yes

[UUID]

status

body

task status

Yes

TODO, IN_PROGRESS, COMPLETED, CANCELED

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
Body
taskIdsstring · uuid[] · min: 1Required
statusstring · enumRequiredPossible values:
Responses
200

Updated tasks

application/json
idstring · uuidRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
namestringRequired
descriptionstring · nullableOptional
dueDatestring · date-time · nullableOptional
statusstring · enumRequiredPossible values:
prioritystring · enumRequiredPossible values:
goalIdstring · uuid · nullableRead-onlyOptional
templateNamestring · nullableOptional
createdTypestring · enumOptionalPossible values:
sourceIdstring · uuid · nullableOptional
sourceTypestring · enumOptionalPossible values:
hiddenPhibooleanOptional
watchersTypestring · enumOptionalDefault: POINT_OF_CONTACTPossible values:
patch/{tenantName}/{instanceName}/tasks
PATCH /{tenantName}/{instanceName}/tasks HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 68

{
  "taskIds": [
    "123e4567-e89b-12d3-a456-426614174000"
  ],
  "status": "TODO"
}
[
  {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "createdBy": "123e4567-e89b-12d3-a456-426614174000",
    "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
    "createdByName": "text",
    "updatedByName": "text",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z",
    "name": "text",
    "description": "text",
    "dueDate": "2026-01-01T00:00:00.000Z",
    "status": "TODO",
    "priority": "LOW",
    "patient": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text"
    },
    "assignee": {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "enabled": true
    },
    "watchers": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "enabled": true
      }
    ],
    "comments": [
      {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "createdAt": "2026-01-01T00:00:00.000Z",
        "author": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text",
          "enabled": true
        },
        "text": "text",
        "patient": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text"
        },
        "user": {
          "id": "123e4567-e89b-12d3-a456-426614174000",
          "name": "text"
        }
      }
    ],
    "goalId": "123e4567-e89b-12d3-a456-426614174000",
    "templateName": "text",
    "createdType": "AUTOMATION",
    "sourceId": "123e4567-e89b-12d3-a456-426614174000",
    "sourceType": "ASSESSMENT",
    "hiddenPhi": true,
    "watchersType": "POINT_OF_CONTACT"
  }
]

Get Task by ID

get

Example overview

Get complete information about one task by ID

HTTP Request

Method: GET

Endpoint: {url}/{tenantName}/{instanceName}/tasks/{taskId}

in our example it would be: https://api.live.welkincloud.io/gh/sb-demo/tasks/28b38060-db66-4183-bcaa-34751308573a

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
taskIdstring · uuidRequired

UUID of the task

Responses
200

Task

application/json
idstring · uuidRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
namestringRequired
descriptionstring · nullableOptional
dueDatestring · date-time · nullableOptional
statusstring · enumRequiredPossible values:
prioritystring · enumRequiredPossible values:
goalIdstring · uuid · nullableRead-onlyOptional
templateNamestring · nullableOptional
createdTypestring · enumOptionalPossible values:
sourceIdstring · uuid · nullableOptional
sourceTypestring · enumOptionalPossible values:
hiddenPhibooleanOptional
watchersTypestring · enumOptionalDefault: POINT_OF_CONTACTPossible values:
get/{tenantName}/{instanceName}/tasks/{taskId}
GET /{tenantName}/{instanceName}/tasks/{taskId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "text",
  "updatedByName": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "description": "text",
  "dueDate": "2026-01-01T00:00:00.000Z",
  "status": "TODO",
  "priority": "LOW",
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  },
  "assignee": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "enabled": true
  },
  "watchers": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "enabled": true
    }
  ],
  "comments": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "author": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "enabled": true
      },
      "text": "text",
      "patient": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "user": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      }
    }
  ],
  "goalId": "123e4567-e89b-12d3-a456-426614174000",
  "templateName": "text",
  "createdType": "AUTOMATION",
  "sourceId": "123e4567-e89b-12d3-a456-426614174000",
  "sourceType": "ASSESSMENT",
  "hiddenPhi": true,
  "watchersType": "POINT_OF_CONTACT"
}

Partial update Task

patch

Example overview

Updated name, dueDate, status, priority fields

HTTP Request

Method: PATCH

Endpoint: {url}/{tenantName}/{instanceName}/tasks/{taskId}

in our example it would be: https://api.live.welkincloud.io/gh/sb-demo/tasks/28b38060-db66-4183-bcaa-34751308573a

Parameters

Name
Located in
Description
Required
Type

tenantName

path

Name of tenant

Yes

string

instanceName

path

Name of instance

Yes

string

taskId

path

Task identifier

Yes

UUID

name

body

Short name of the task

Yes

string

description

body

Detailed text description of the task

No

string

priority

body

task priority

Yes

LOW, MEDIUM, HIGH, URGENT

status

body

task status

Yes

TODO, IN_PROGRESS, COMPLETED, CANCELED

dueDate

body

deadline for the task

No

Datetime in ISO-8601 format

assignee

body

user responsible for the task

Yes

{"id": ""}

patient

body

task-related patient

No

{"id": ""}

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
taskIdstring · uuidRequired

UUID of the task

Body

Partial update — all fields optional.

namestringOptional
descriptionstring · nullableOptional
dueDatestring · date-time · nullableOptional
statusstring · enumOptionalPossible values:
prioritystring · enumOptionalPossible values:
Responses
200

Updated task

application/json
idstring · uuidRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
namestringRequired
descriptionstring · nullableOptional
dueDatestring · date-time · nullableOptional
statusstring · enumRequiredPossible values:
prioritystring · enumRequiredPossible values:
goalIdstring · uuid · nullableRead-onlyOptional
templateNamestring · nullableOptional
createdTypestring · enumOptionalPossible values:
sourceIdstring · uuid · nullableOptional
sourceTypestring · enumOptionalPossible values:
hiddenPhibooleanOptional
watchersTypestring · enumOptionalDefault: POINT_OF_CONTACTPossible values:
patch/{tenantName}/{instanceName}/tasks/{taskId}
PATCH /{tenantName}/{instanceName}/tasks/{taskId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 247

{
  "name": "text",
  "description": "text",
  "dueDate": "2026-01-01T00:00:00.000Z",
  "status": "TODO",
  "priority": "LOW",
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  },
  "assignee": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "text",
  "updatedByName": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "description": "text",
  "dueDate": "2026-01-01T00:00:00.000Z",
  "status": "TODO",
  "priority": "LOW",
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  },
  "assignee": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "enabled": true
  },
  "watchers": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "enabled": true
    }
  ],
  "comments": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "author": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "enabled": true
      },
      "text": "text",
      "patient": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "user": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      }
    }
  ],
  "goalId": "123e4567-e89b-12d3-a456-426614174000",
  "templateName": "text",
  "createdType": "AUTOMATION",
  "sourceId": "123e4567-e89b-12d3-a456-426614174000",
  "sourceType": "ASSESSMENT",
  "hiddenPhi": true,
  "watchersType": "POINT_OF_CONTACT"
}

Add watcher to Task

patch

Example overview

The method allows you to subscribe the specified user to task update notifications. Method returns task with new watchers.

HTTP Request

Method: PATCH

Endpoint: {url}/{tenantName}/{instanceName}/tasks/{taskId}/watchers

in our example it would be: https://api.live.welkincloud.io/gh/sb-demo/tasks/28b38060-db66-4183-bcaa-34751308573a/watchers

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
taskIdstring · uuidRequired

UUID of the task

Body
idstring · uuidRequired
namestring · nullableOptional
Responses
200

Task with watcher added

application/json
idstring · uuidRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
namestringRequired
descriptionstring · nullableOptional
dueDatestring · date-time · nullableOptional
statusstring · enumRequiredPossible values:
prioritystring · enumRequiredPossible values:
goalIdstring · uuid · nullableRead-onlyOptional
templateNamestring · nullableOptional
createdTypestring · enumOptionalPossible values:
sourceIdstring · uuid · nullableOptional
sourceTypestring · enumOptionalPossible values:
hiddenPhibooleanOptional
watchersTypestring · enumOptionalDefault: POINT_OF_CONTACTPossible values:
patch/{tenantName}/{instanceName}/tasks/{taskId}/watchers
PATCH /{tenantName}/{instanceName}/tasks/{taskId}/watchers HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 59

{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "name": "text"
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "text",
  "updatedByName": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "description": "text",
  "dueDate": "2026-01-01T00:00:00.000Z",
  "status": "TODO",
  "priority": "LOW",
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  },
  "assignee": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "enabled": true
  },
  "watchers": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "enabled": true
    }
  ],
  "comments": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "author": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "enabled": true
      },
      "text": "text",
      "patient": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "user": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      }
    }
  ],
  "goalId": "123e4567-e89b-12d3-a456-426614174000",
  "templateName": "text",
  "createdType": "AUTOMATION",
  "sourceId": "123e4567-e89b-12d3-a456-426614174000",
  "sourceType": "ASSESSMENT",
  "hiddenPhi": true,
  "watchersType": "POINT_OF_CONTACT"
}

Remove watcher from Task

delete

Example overview

The method allows you to unsubscribe the specified user from task. Method returns task without removed watchers.

HTTP Request

Method: DELETE

Endpoint: {url}/{tenantName}/{instanceName}/tasks/{taskId}/watchers/{watcherId}

in our example it would be: https://api.live.welkincloud.io/gh/sb-demo/tasks/28b38060-db66-4183-bcaa-34751308573a/watchers/20745195-bf3d-46af-9e74-db60c19b7e7b

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
taskIdstring · uuidRequired

UUID of the task

watcherIdstring · uuidRequired

watcherId path parameter

Responses
200

Task with watcher removed

application/json
idstring · uuidRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
namestringRequired
descriptionstring · nullableOptional
dueDatestring · date-time · nullableOptional
statusstring · enumRequiredPossible values:
prioritystring · enumRequiredPossible values:
goalIdstring · uuid · nullableRead-onlyOptional
templateNamestring · nullableOptional
createdTypestring · enumOptionalPossible values:
sourceIdstring · uuid · nullableOptional
sourceTypestring · enumOptionalPossible values:
hiddenPhibooleanOptional
watchersTypestring · enumOptionalDefault: POINT_OF_CONTACTPossible values:
delete/{tenantName}/{instanceName}/tasks/{taskId}/watchers/{watcherId}
DELETE /{tenantName}/{instanceName}/tasks/{taskId}/watchers/{watcherId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "text",
  "updatedByName": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "description": "text",
  "dueDate": "2026-01-01T00:00:00.000Z",
  "status": "TODO",
  "priority": "LOW",
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  },
  "assignee": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "enabled": true
  },
  "watchers": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "enabled": true
    }
  ],
  "comments": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "author": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "enabled": true
      },
      "text": "text",
      "patient": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "user": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      }
    }
  ],
  "goalId": "123e4567-e89b-12d3-a456-426614174000",
  "templateName": "text",
  "createdType": "AUTOMATION",
  "sourceId": "123e4567-e89b-12d3-a456-426614174000",
  "sourceType": "ASSESSMENT",
  "hiddenPhi": true,
  "watchersType": "POINT_OF_CONTACT"
}

Add comment to Task

patch

Example overview

The method allows you to add a comment to a specific task.

If only "text" is passed in the request body, the Care Portal will display that the comment was added by an API-client.

If a “user” block is passed in the request body, the Care Portal will display that the comment was added by the user whose id is specified in the request

If a “patient” block is passed in the request body, the Care Portal will display that the comment was added by the patient whose id is specified in the request

HTTP Request

Method: PATCH

Endpoint: {url}/{tenantName}/{instanceName}/tasks/{taskId}/comments

in our example it would be: https://api.live.welkincloud.io/gh/sb-demo/tasks/28b38060-db66-4183-bcaa-34751308573a/comments

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
taskIdstring · uuidRequired

UUID of the task

Body
idstring · uuidRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
textstringRequired
Responses
200

Task with comment added

application/json
idstring · uuidRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
namestringRequired
descriptionstring · nullableOptional
dueDatestring · date-time · nullableOptional
statusstring · enumRequiredPossible values:
prioritystring · enumRequiredPossible values:
goalIdstring · uuid · nullableRead-onlyOptional
templateNamestring · nullableOptional
createdTypestring · enumOptionalPossible values:
sourceIdstring · uuid · nullableOptional
sourceTypestring · enumOptionalPossible values:
hiddenPhibooleanOptional
watchersTypestring · enumOptionalDefault: POINT_OF_CONTACTPossible values:
patch/{tenantName}/{instanceName}/tasks/{taskId}/comments
PATCH /{tenantName}/{instanceName}/tasks/{taskId}/comments HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 236

{
  "author": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "enabled": true
  },
  "text": "text",
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  },
  "user": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  }
}
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "text",
  "updatedByName": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "description": "text",
  "dueDate": "2026-01-01T00:00:00.000Z",
  "status": "TODO",
  "priority": "LOW",
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  },
  "assignee": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "enabled": true
  },
  "watchers": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "enabled": true
    }
  ],
  "comments": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "author": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "enabled": true
      },
      "text": "text",
      "patient": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "user": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      }
    }
  ],
  "goalId": "123e4567-e89b-12d3-a456-426614174000",
  "templateName": "text",
  "createdType": "AUTOMATION",
  "sourceId": "123e4567-e89b-12d3-a456-426614174000",
  "sourceType": "ASSESSMENT",
  "hiddenPhi": true,
  "watchersType": "POINT_OF_CONTACT"
}

Remove comment from Task

delete

Example overview

The method allows you to remove unnecessary comments. Method returns task without removed watchers.

HTTP Request

Method: DELETE

Endpoint: {url}/{tenantName}/{instanceName}/tasks/{taskId}/comments/{commentId}

in our example it would be: https://api.live.welkincloud.io/gh/sb-demo/tasks/28b38060-db66-4183-bcaa-34751308573a/comments/20745195-bf3d-46af-9e74-db60c19b7e7b

Responses

Code
Description

200

OK

401

Unauthorized

403

Forbidden

404

Not Found

Authorizations
AuthorizationstringRequired

Bearer token obtained from POST /{tenantName}/admin/api_clients/{clientName}. Valid for 60 minutes.

Path parameters
tenantNamestringRequired

Your organization (tenant) name, e.g. acme-health

Example: acme-health
instanceNamestringRequired

Your environment name: live, sandbox, or a custom name

Example: live
taskIdstring · uuidRequired

UUID of the task

commentIdstring · uuidRequired

commentId path parameter

Responses
200

Task with comment removed

application/json
idstring · uuidRead-onlyOptional
createdBystring · uuidRead-onlyOptional
updatedBystring · uuidRead-onlyOptional
createdByNamestringRead-onlyOptional
updatedByNamestringRead-onlyOptional
createdAtstring · date-timeRead-onlyOptional
updatedAtstring · date-timeRead-onlyOptional
namestringRequired
descriptionstring · nullableOptional
dueDatestring · date-time · nullableOptional
statusstring · enumRequiredPossible values:
prioritystring · enumRequiredPossible values:
goalIdstring · uuid · nullableRead-onlyOptional
templateNamestring · nullableOptional
createdTypestring · enumOptionalPossible values:
sourceIdstring · uuid · nullableOptional
sourceTypestring · enumOptionalPossible values:
hiddenPhibooleanOptional
watchersTypestring · enumOptionalDefault: POINT_OF_CONTACTPossible values:
delete/{tenantName}/{instanceName}/tasks/{taskId}/comments/{commentId}
DELETE /{tenantName}/{instanceName}/tasks/{taskId}/comments/{commentId} HTTP/1.1
Host: api.live.welkincloud.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
  "id": "123e4567-e89b-12d3-a456-426614174000",
  "createdBy": "123e4567-e89b-12d3-a456-426614174000",
  "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
  "createdByName": "text",
  "updatedByName": "text",
  "createdAt": "2026-01-01T00:00:00.000Z",
  "updatedAt": "2026-01-01T00:00:00.000Z",
  "name": "text",
  "description": "text",
  "dueDate": "2026-01-01T00:00:00.000Z",
  "status": "TODO",
  "priority": "LOW",
  "patient": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text"
  },
  "assignee": {
    "id": "123e4567-e89b-12d3-a456-426614174000",
    "name": "text",
    "enabled": true
  },
  "watchers": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "name": "text",
      "enabled": true
    }
  ],
  "comments": [
    {
      "id": "123e4567-e89b-12d3-a456-426614174000",
      "createdAt": "2026-01-01T00:00:00.000Z",
      "author": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text",
        "enabled": true
      },
      "text": "text",
      "patient": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      },
      "user": {
        "id": "123e4567-e89b-12d3-a456-426614174000",
        "name": "text"
      }
    }
  ],
  "goalId": "123e4567-e89b-12d3-a456-426614174000",
  "templateName": "text",
  "createdType": "AUTOMATION",
  "sourceId": "123e4567-e89b-12d3-a456-426614174000",
  "sourceType": "ASSESSMENT",
  "hiddenPhi": true,
  "watchersType": "POINT_OF_CONTACT"
}

Last updated

Was this helpful?